Sketcher ToggleActiveConstraint
|
Menu location |
---|
Sketch → Sketcher constraints → Activate/deactivate constraint |
Workbenches |
Sketcher |
Default shortcut |
K Z |
Introduced in version |
0.19 |
See also |
Sketcher ToggleDrivingConstraint |
Description
The Sketcher ToggleActiveConstraint tool activates or deactivates selected constraints. Deactivating constraints allows you to test other geometry arrangements without deleting constraints.
This is tool is similar to Sketcher ToggleDrivingConstraint, but contrary to that tool also works for geometric constraints, and values of deactivated dimensional constraints are preserved.
Usage
- Select one or more constraints.
- There are several ways to invoke the tool:
- Press the
Activate/deactivate constraint button.
- Select the Sketch → Sketcher constraints →
Activate/deactivate constraint option from the menu.
- introduced in version 1.0: Right-click in the 3D view and select the
Activate/deactivate constraint option from the context menu.
- In the Constraints section of the Sketcher Dialog select the Activate or Deactivate option from the context menu. The offered option depends on the state of the constraint under the cursor.
- Use the keyboard shortcut: K then Z.
- Press the
- Active selected constraints are deactivated and turn grey (default color), while deactivated selected constraints are activated and return to red (default color).
Example
A fully constrained sketch.
One of the angular constraints has been deactivated, the sketch is no longer fully constrained.
The unconstrained geometry can be moved around. The deactivated constraint is still available, and can be re-activated to return to the fully constrained sketch.
Scripting
See also: FreeCAD Scripting Basics.
The active status of a constraint can be controlled in macros and from the Python console.
SketchObject.toggleActive(index)
Use the toggleActive
method of an existing Sketcher SketchObject, and the index
of the constraint to activate it or deactivate it. The index starts from 0
all the way to N-1
, where N
is the total number of constraints.
Example:
import FreeCAD as App
sketch = App.ActiveDocument.Sketch
sketch.toggleActive(3)
- General: Create sketch, Edit sketch, Attach sketch, Reorient sketch, Validate sketch, Merge sketches, Mirror sketch, Leave sketch, View sketch, View section, Toggle grid, Toggle snap, Configure rendering order, Stop operation
- Sketcher geometries: Point, Polyline, Line, Arc, Arc by 3 points, Arc of ellipse, Arc of hyperbola, Arc of parabola, Circle, Circle by 3 points, Ellipse, Ellipse by 3 points, Rectangle, Centered rectangle, Rounded rectangle, Triangle, Square, Pentagon, Hexagon, Heptagon, Octagon, Regular polygon, Slot, Arc slot, B-spline by control points, Periodic B-spline by control points, B-spline by knots, Periodic B-spline by knots, Toggle construction geometry
- Sketcher constraints:
- Dimensional constraints: Dimension, Horizontal distance, Vertical distance, Distance, Auto radius/diameter, Radius, Diameter, Angle, Lock
- Geometric constraints: Coincident (unified), Coincident, Point on object, Horizontal/vertical, Horizontal, Vertical, Parallel, Perpendicular, Tangent or collinear, Equal, Symmetric, Block
- Other constraints: Refraction (Snell's law)
- Constraint tools: Toggle driving/reference constraint, Activate/deactivate constraint
- Sketcher tools: Fillet, Chamfer, Trim, Split, Extend, External geometry, Carbon copy, Select origin, Select horizontal axis, Select vertical axis, Array transform, Polar transform, Scale transform, Offset geometry, Symmetry, Remove axes alignment, Delete all geometry, Delete all constraints
- Sketcher B-spline tools: Convert geometry to B-spline, Increase B-spline degree, Decrease B-spline degree, Increase knot multiplicity, Decrease knot multiplicity, Insert knot, Join curves
- Sketcher visual: Select unconstrained DoF, Select associated constraints, Select associated geometry, Select redundant constraints, Select conflicting constraints, Show/hide circular helper for arcs, Show/hide B-spline degree, Show/hide B-spline control polygon, Show/hide B-spline curvature comb, Show/hide B-spline knot multiplicity, Show/hide B-spline control point weight, Show/hide internal geometry, Switch virtual space
- Additional: Sketcher Dialog, Preferences, Sketcher scripting

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Assembly, BIM, CAM, Draft, FEM, Inspection, Material, Mesh, OpenSCAD, Part, PartDesign, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Surface, TechDraw, Test Framework
- Hubs: User hub, Power users hub, Developer hub